﻿using DicomTransferFileApi.Client.Controllers;
using ExchangeService.Client.Models;
using System;
using System.Collections.Generic;
using System.Text;
using Xunit;

namespace DicomTransferFileClient.Test
{
    public class FindDicomFileTest
    {

        private  FindDicomFileController findDicomFileController;
        [Fact]
        public void CheckExsistDicomFile()
        {
            // Arrange      
            findDicomFileController = new FindDicomFileController(null);
            FilesPackage filesPackage = new FilesPackage() { StudyInstanceUID= "072495.0449" };

            //Act
            var result = findDicomFileController.Post(filesPackage).Result.Count;

            // Assert
            Assert.Equal(result > 0,true);

        }

        [Fact]
        public void CheckNotExsistDicomFile()
        {

            // Arrange
            findDicomFileController = new FindDicomFileController(null);
            FilesPackage filesPackage = new FilesPackage() { StudyInstanceUID = "072495.04490" };

            //Act
            var result = findDicomFileController.Post(filesPackage).Result;

            // Assert
            Assert.Equal(result == null, true);

        }
    }
}
