﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ExchangeService.Client.Models
{
    public class ImageDetails
    {
        public string StudyDirectoryName { get; set; }

        public DateTime StudyAcDate { get; set; }

        public string PathRoot { get; set; }

        public string SeriesDirectoryName { get; set; }

        public string ProtocolName { get; set; }

        public string BodyPartExamined { get; set; }

        public string PatientPosition { get; set; }

        public string Laterality { get; set; }

        public string OperatorsName { get; set; }

        public string SeriesDate { get; set; }

        public string SerieTime { get; set; }

        public string SeriesInstanceUID { get; set; }

        public string PerformingPhysicianName { get; set; }

        public string InstitutionName { get; set; }

        public int? ImageCount { get; set; }

        public int? SerieNumber { get; set; }

        public string SeriesDescription { get; set; }

        public string SOPInstanceUID { get; set; }

        public int? InstanceNumber { get; set; }

        public string ReferencedFile { get; set; }

        public string SOPClassUID { get; set; }

        public string TransferSyntax { get; set; }

        public string StudyInstanceUID { get; set; }

        public int? Frames { get; set; }

        public int? HeightPixels { get; set; }

        public int? WidthPixels { get; set; }

        public double? PixelSpacingX { get; set; }

        public double? PixelSpacingY { get; set; }

        public double? ImageOrientationRowX { get; set; }

        public double? ImageOrientationRowY { get; set; }

        public double? ImageOrientationRowZ { get; set; }

        public double? ImageOrientationColX { get; set; }

        public double? ImageOrientationColY { get; set; }

        public double? ImageOrientationColZ { get; set; }

        public double? ImagePositionX { get; set; }

        public double? ImagePositionY { get; set; }

        public double? ImagePositionZ { get; set; }

        public double? SliceThickness { get; set; }

        public double? SliceLocation { get; set; }

        public string ImageType { get; set; }

        public int? TemporalPosition { get; set; }

        public int? NumberOfTemporalPositions { get; set; }
        public string File { get { return PathRoot + StudyDirectoryName+"\\" + SeriesDirectoryName+"\\"+ ReferencedFile; }  }
    }
}
